
;Symbols 
{
symbol varA = b0
symbol varB = b1
symbol varC = b2
symbol varD = b3
symbol varE = b4
symbol varF = b5
symbol varG = b6
symbol varH = b7
symbol varI = b14
symbol varJ = b15
symbol varK = b16
symbol varL = b17
symbol varM = b18
symbol varN = b19
symbol varO = b20
symbol varP = b21
symbol varQ = b22
symbol varR = b23
symbol varS = b24
symbol varT = b25
symbol timer = time
}


let dirsB = %11111111


main:
label_69:
		if pinC.1 = 1 then label_102	'Decision command
		random w6	'store random number in w6 (b13:b12)
		let varA = b13	'Random command
		goto label_69

label_102:
		if varA <= 20 then label_103	'Compare command
		random w6	'store random number in w6 (b13:b12)
		let varA = b13	'Random command
		goto label_102

label_103:	serout 1,N2400_4,(254,128,"nombre aleatoire")
	bintoascii varA,b8,b9,b10
			serout 1,N2400_4,(254,192,"      ",b8,b9,b10,"       ")
		goto label_69


#no_data	'reduce download time


